// SWIG file analytical_module.i
// Author : $LastChangedBy: schueller $
// Date : $LastChangedDate: 2011-07-06 12:03:57 +0200 (Wed, 06 Jul 2011) $
// Id : $Id: analytical_module.i 1991 2011-07-06 10:03:57Z schueller $

%module(package="openturns", docstring="Analytical uncertainty propagation algo_module.ithms.") analytical
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTconfig.hxx"
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTDistribution.hxx"
#include "OTIsoProbabilisticTransformation.hxx"
#include "OTAnalytical.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import common_module.i
%include TestResult.i
%import base_module.i

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import model_copula_module.i
%import UncertaintyModelCopulaTemplateDefs.i

/* Uncertainty/Algorithm/IsoProbabilisticTransformation */
%import isoprobabilistictransformation_module.i
%import UncertaintyIsoProbabilisticTransformationTemplateDefs.i

/* Uncertainty/Algorithm/Analytical */
%include AnalyticalResult.i
%include Analytical.i
%include FORMResult.i
%include FORM.i
%include SORMResult.i
%include SORM.i
%include StrongMaximumTest.i

/* At last we include template definitions */
%include UncertaintyAnalyticalTemplateDefs.i
